Subject: Re: [fsck] What's cooking in git.git (Feb 2009, #02; Wed, 04)

From: Johannes Sixt <[email-masked]>
Date: Thu, 05 Feb 2009 10:42:09 +0100

Junio C Hamano schrieb:
> * jc/fsck (Fri Jan 30 02:44:13 2009 -0800) 5 commits
>  - fsck: revert --quick to the default and introduce --medium
>  - fsck: three levels of validation
>  - verify-pack: add --quick
>  - verify_pack(): allow a quicker verification for a pack with
>    version 2 idx
>  - pack-check.c: minor formatting fix to match coding style
> 
> I haven't heard anything positive nor negative about this series.  I think
> the tip two commits should be squashed (and perhaps the option parser
> cleaned up as suggested on the list).

If you *do* squash the top two commits due to the surprisingly expensive
--medium check level, what is the whole point of the series?

That is, if I can have a reasonably thorough check only by passing an
option to 'git fsck', then why would I want to choose --medium when I can
have --full for only a 30% higher price (according to the timings you gave)?

-- Hannes